Name: H5Tget_cset
Signature:
  H5T_cset_t `H5Tget_cset`(hid_t `type_id` )
Purpose:
  Retrieves the character set type of a string datatype.
Description:
  `H5Tget_cset` retrieves the character set type of a string datatype. Valid character set types are:

  | `H5T_CSET_ASCII` | (`0`) |  | Character set is US ASCII.

Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns a valid character set type if successful; otherwise `H5T_CSET_ERROR` (-1).
Fortran90 Interface: h5tget_cset_f

      SUBROUTINE h5tget_cset_f(type_id, cset, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: cset          ! Character set type of a string
                                              ! datatype
                                              ! Possible values of padding type are:
                                              !    H5T_CSET_ASCII_F = 0
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tget_cset_f